# Читаем количество кубиков
n = int(input())
results = []

for _ in range(n):
    # Читаем числа для каждого кубика
    a = list(map(int, input().split()))

    # Считаем сумму всех чисел
    total_sum = sum(a)

    # Проверяем, четная ли сумма
    if total_sum % 3 != 0:
        results.append("no")
        continue

    # Целевая сумма для каждой пары
    target_sum = total_sum // 3

    # Сортируем числа для удобства работы
    a.sort()

    # Проверяем на наличие трех пар с целевой суммой
    if (a[0] + a[5] == target_sum and
        a[1] + a[4] == target_sum and
        a[2] + a[3] == target_sum):
        results.append("yes")
    else:
        results.append("no")

# Выводим результаты для каждого кубика
print("\\n".join(results))
