# Читаем входные данные - два числа a и b, это строки
a = input().strip()
b = input().strip()

# Определяем длину чисел для обработки разрядов
max_length = max(len(a), len(b))

# Добавляем ведущие нули к меньшему числу, чтобы они имели одинаковую длину
a = a.zfill(max_length)
b = b.zfill(max_length)

# Для хранения результата суммы и произведения по лунной арифметике
lunar_sum = []
lunar_product = []

# Обрабатываем каждую цифру с конца (для удобства)
for i in range(max_length):
    digit_a = int(a[i])  # текущая цифра из a
    digit_b = int(b[i])  # текущая цифра из b

    # Лунная сумма - максимальная из цифр
    lunar_sum.append(str(max(digit_a, digit_b)))
    # Лунное произведение - минимальная из цифр
    lunar_product.append(str(min(digit_a, digit_b)))

# Объединяем результаты и выводим
print(''.join(lunar_sum), ''.join(lunar_product))
