def find_path(a, b):
    # Инициализация строки для путевого представления
    path = []

    # Начнем с дроби a/b и будем двигаться к корню 0/1
    while a != 1 or b != 0:
        if a < b:
            # Дробь a/b находится в левой подписи
            path.append('L')
            b -= a  # Переходим к родителю
        else:
            # Дробь a/b находится в правой подпися
            path.append('R')
            a -= b  # Переходим к родителю

    # Перевернем строку, так как мы строили путь от дроби к корню
    path.reverse()

    # Проверка на правильность представления
    if a == 1 and b == 1:
        return ''.join(path)
    else:
        return "no"

# Чтение входных данных
input_data = input().strip()
a, b = map(int, input_data.split())

# Получение результата
result = find_path(a, b)

# Печать результата
print(result)
