
def lunar_arithmetic(a, b):
    # Приводим строки чисел к спискам цифр
    a_digits = list(map(int, a))
    b_digits = list(map(int, b))

    # Делаем длины чисел равными, добавляя ведущие нули
    max_length = max(len(a_digits), len(b_digits))
    a_digits = [0] * (max_length - len(a_digits)) + a_digits
    b_digits = [0] * (max_length - len(b_digits)) + b_digits

    # Сложение (max для каждой пары цифр)
    lunar_sum = [max(a_digit, b_digit) for a_digit, b_digit in zip(a_digits, b_digits)]
    # Умножение (min для каждой пары цифр)
    lunar_product = [min(a_digit, b_digit) for a_digit, b_digit in zip(a_digits, b_digits)]

    # Преобразуем списки обратно в строки
    lunar_sum_str = ''.join(map(str, lunar_sum))
    lunar_product_str = ''.join(map(str, lunar_product))

    return lunar_sum_str, lunar_product_str

# Чтение входных данных
a = input().strip()
b = input().strip()

# Вычисление результатов
result_sum, result_product = lunar_arithmetic(a, b)

# Вывод результата
print(result_sum, result_product)

