def find_path(a, b):
    path = []

    # Проверка на возможность представления
    while a != 1 or b != 0:
        if a == 0 or b == 0 or (a < 0 or b < 0):
            return "no"

        # Используем свойство дерева: находим родителей
        if a < b:
            path.append('L')  # Двигаемся влево
            b -= a           # Понижаем знаменатель
        else:
            path.append('R')  # Двигаемся вправо
            a -= b           # Понижаем числитель

    # Возвращаем путь в обратном порядке, так как мы его построили от дроби к корню
    return ''.join(reversed(path))

# Читаем входные данные
a, b = map(int, input().strip().split())
print(find_path(a, b))
